Bug 89785 - Installation corrupts e2labels of existing systems
Installation corrupts e2labels of existing systems
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-28 08:40 EDT by Alexander Stohr
Modified: 2006-04-24 14:16 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:16:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Stohr 2003-04-28 08:40:23 EDT
Description of problem:
when installing RH Linux 9.0 on a harddisk 
aside to a former installation of RH Linux, e.g. version 7.3,
then it is quite likely that the former installation will
no longer boot after the install.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install RH 7.3 on /dev/hda1 
2. install RH 9.0 on /dev/hda3, try mounting any e2/e3 partition.
3. try to boot into RH 7.3
    
Actual results:
the old system does not boot.

Expected results:
the old system and the new system should both be able to boot.

Additional info:
the problem is possibly related to the way the e2labels are done.
when RH 9.0 installer runs, it forefully sets new labels on all
partitions so that the setup in /etc/fstab of RH 7.3 using the
LABEL=... stament will fail in finding the partitions on the next
boot. 

I mean, if there are already existing labels on e2/e3 partitons
then the installer should take greatest care in order to preserve
them. I really specified "do not format" - but the installer still
feels entitled to change something significantly to the current
format data of the already existing partitons.

There might be further a problem for the GRUB boot loader when the
previously existing Linux system has installed its boot loader into
the MBR - i am not totally sure, so please watch out for that as well.
Comment 1 Alexander Stohr 2003-04-28 08:58:00 EDT
related bug is 89786
Comment 2 Jeremy Katz 2003-05-16 17:46:41 EDT
Did you mount the 7.3 partition during your Red Hat Linux 9 install?   Where did
you mount it?  What were the labels on the 7.3 partition before and after
installing?
Comment 3 Alexander Stohr 2003-05-19 07:26:36 EDT
all labels were the default labels of the respective install.
the system was removed from that disk 
in the meantime for other testing,
so i can not check it's latest state,
but to my best knowledge i specified
the first partitions to be mounted
on the second install to something like /mnt/hda1 and alikes.

the labels were changed by the 2nd installation to match only
the second installation - it should have been the default label names.
Comment 4 Jeremy Katz 2003-06-29 17:04:16 EDT
We no longer change the label on filesystems which already have a label.
Comment 5 Jeremy Katz 2006-04-24 14:16:55 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.